Update a product
Update an existing product's properties, materials, file requirements, inventory requirements, and custom fields. File requirements referenced by existing files are soft-deleted (archived) rather than permanently removed.
Update an existing product's properties, materials, file requirements, inventory requirements, and custom fields. File requirements referenced by existing files are soft-deleted (archived) rather than permanently removed.
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Path Parameters
Product ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://example.com/products/550e8400-e29b-41d4-a716-446655440000" \ -H "Content-Type: application/json" \ -d '{}'{ "product": { "id": "string", "labId": "string", "categoryId": "string", "standardId": "string", "treatmentPhaseId": "string", "name": "string", "sku": "string", "description": "string", "defaultPrice": "string", "cogs": "string", "pricingUnit": "string", "turnaroundDays": 0, "weight": "string", "minTeethCount": 0, "maxTeethCount": 0, "shadeEnabled": true, "implantSpecRequired": true, "archSelection": "string", "bothArchesOnly": true, "hideOdontogram": true, "odontogramMode": "string", "configuratorType": "single_page", "quantityEnabled": true, "autoAddToCart": true, "upfrontPayment": true, "isHidden": true, "useProgressBar": true, "fulfillmentMode": "physical", "isActive": true, "sortOrder": 0, "laboratoryCode": "string", "laboratoryDescription": "string", "imageKey": "string", "triggerRules": null, "treatmentPhaseName": "string", "treatmentPhaseSortOrder": 0, "treatmentPhaseStartPolicy": "string", "treatmentPhaseLeadTimeDays": 0, "createdAt": "string", "updatedAt": "string" }}Partially update a product PATCH
Partially update a product's flags such as isHidden, isActive, or sortOrder. Supports action-based toggles (toggleHidden, toggleActive) or direct field updates.
Upload custom field image POST
Upload an image for a product custom field option (e.g. image_select or image_multi_select). Accepts JPEG, PNG, WebP, or GIF up to 5MB via multipart form data with a fieldId.